# Errors

## **Error Codes and Messages**

This section contains a list of common error responses by their error codes. Here is an example of what a response might look like:

```json
{
  "error": {
    "code": 401,
    "message": "You are no longer authorized, did you change your API token?"
  }
}
```

## **401 Unauthorized (API Key Error)**

**Error Code**: 401\
**Message**: "You are no longer authorized, did you change your API token?"

***

## **401 Unauthorized (Basic Authentication Required)**

**Error Code**: 401\
**Message**: "You are not authorized, did you provide the correct credentials?"

***

## **404 Cannot Find**

**Error Code**: 404\
**Message**: "Cannot find \<requested resource>"

***

## **403 Forbidden to View Auction**

**Error Code**: 403\
**Message**: "Forbidden, you cannot view this auction"

***

## **403 Forbidden to Delete Warp**

**Error Code**: 403\
**Message**: "Forbidden, you cannot delete this warp!"

***

## **404 Auction Not Found**

**Error Code**: 404\
**Message**: "The auction you are looking for does not exist!"

***

## **404 Recent Auction Not Found**

**Error Code**: 404\
**Message**: "The recent auction you are looking for does not exist!"

***

## **403 Forbidden to View Recent Auction**

**Error Code**: 403\
**Message**: "Forbidden, you cannot view this recent auction!"

***

## **400 Invalid UUID**

**Error Code**: 400\
**Message**: "Invalid UUID provided!"

***

## **403 Unauthorized to View Player**

**Error Code**: 403\
**Message**: "Forbidden, you cannot view this player!"


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.olziedev.com/projects/playerauctions/restapi/errors.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
